Bug 734959 - grub2 needs to require 'which'
grub2 needs to require 'which'
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
AcceptedNTH
:
Depends On:
Blocks: F16Beta-accepted/F16BetaFreezeExcept F16Blocker/F16FinalBlocker
  Show dependency treegraph
 
Reported: 2011-08-31 18:35 EDT by Adam Williamson
Modified: 2011-09-06 23:40 EDT (History)
3 users (show)

See Also:
Fixed In Version: grub2-1.99-5.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-06 23:40:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2011-08-31 18:35:27 EDT
/etc/grub.d/30_os-prober checks for the presence of os-prober with (or linux-boot-prober) using the 'which' command, but does not require which.

If you do a minimal install of F16 Beta TC1, os-prober and grub2 is installed but which is not, so 30_os-prober quits immediately because 'which os-prober' fails, and it never actually probes for other operating systems; so if you do a minimal Beta TC1 install alongside Windows, you get a bootloader with only Fedora in it.

grub2 should require which in order to resolve this issue.

Proposing as a release blocker as it partially affects the criterion "The installer must be able to install into free space alongside an existing clean single-partition Windows installation and either install a bootloader which can boot into the Windows installation, or leave the Windows bootloader untouched and working " (though this probably works okay with a full install, as the 'which' package likely winds up being present in a full install).
Comment 1 Adam Williamson 2011-08-31 19:00:36 EDT
confirmed that if I customize package selection, add 'which' to the installed package set, and otherwise install exactly the same way, the bootloader menu includes a functional Windows entry.
Comment 2 Andre Robatino 2011-08-31 22:43:13 EDT
os-prober is not installed on a default install from the 16 Beta TC1 DVD (in fact it's not on the DVD at all). Is this a network or some other kind of install?
Comment 3 Adam Williamson 2011-08-31 23:55:57 EDT
I did a network minimal install. If it's not on the DVD that's probably another bug, but I believe grub2 is being adjust to require os-prober, so that should fix it: https://bugzilla.redhat.com/show_bug.cgi?id=734964
Comment 4 Fedora Update System 2011-09-01 17:13:27 EDT
grub2-1.99-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/grub2-1.99-2.fc16
Comment 5 Adam Williamson 2011-09-02 14:55:21 EDT
Discussed at 2011-09-02 NTH review meeting (as this is Beta, blocker status for final would be assessed later if it wasn't fixed for Beta). Agreed to accept as NTH, it would be good to fix this for Beta and the fix is simple.
Comment 6 Fedora Update System 2011-09-05 11:06:12 EDT
grub2-1.99-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/grub2-1.99-5.fc16
Comment 7 Fedora Update System 2011-09-06 14:10:54 EDT
Package grub2-1.99-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing grub2-1.99-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/grub2-1.99-2.fc16
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2011-09-06 23:39:39 EDT
grub2-1.99-5.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.